<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.swzdr.mapper.RyXflsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="ryXflsResultMap" type="org.springblade.swzdr.pojo.entity.RyXflsEntity">
        <result column="id" property="id"/>
        <result column="xf_id" property="xfId"/>
        <result column="xfsj" property="xfsj"/>
        <result column="xftj" property="xftj"/>
        <result column="xfdw" property="xfdw"/>
        <result column="cljg" property="cljg"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>

    <select id="selectRyXflsPage" resultMap="ryXflsResultMap">
        select * from swzdr_ry_xfls where is_deleted = 0
    </select>

    <select id="exportRyXfls" resultType="org.springblade.swzdr.excel.RyXflsExcel">
        SELECT * FROM swzdr_ry_xfls ${ew.customSqlSegment}
    </select>

</mapper>
